Package org.eclipse.jdt.ui.jarpackager

# Interface IJarDescriptionReader

public interface IJarDescriptionReader
Reads the description file of a JAR package data object into such an object.

The format is defined by the client who implements the reader/writer pair.

Since:
  2.0
See Also:
  - `JarPackageData`
  - `IJarDescriptionWriter`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes this reader.
`org.eclipse.core.runtime.IStatus`
`getStatus()`
Returns the status of this reader.
`void`
`read(JarPackageData jarPackageData)`
Reads Jar Package description and fills data into the JAR Package data object.

## Method Details

### read

void read(JarPackageData jarPackageData) throws org.eclipse.core.runtime.CoreException
Reads Jar Package description and fills data into the JAR Package data object.

It is the client's responsibility to close this reader.

Parameters:
  `jarPackageData` - the object into which data is filled
Throws:
  `org.eclipse.core.runtime.CoreException` - if read failed, e.g. I/O error during read operation

### close

void close() throws org.eclipse.core.runtime.CoreException
Closes this reader.

It is the client's responsibility to close this reader.

Throws:
  `org.eclipse.core.runtime.CoreException` - if closing fails, e.g. I/O error during close operation

### getStatus

org.eclipse.core.runtime.IStatus getStatus()
Returns the status of this reader. If there were any errors, the result is a status object containing individual status objects for each error. If there were no errors, the result is a status object with error code `OK`.

Returns:
  the status of this operation